//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  vector<int> coll;

  coll.push_back(17);
  coll.push_back(-3);
  coll.push_back(22);
  coll.push_back(13);
  coll.push_back(13);
  coll.push_back(-9);
  PRINT_ELEMENTS(coll," :\n");

  //    
  adjacent_difference (coll.begin(), coll.end(),   // 
                       coll.begin());              // 
  PRINT_ELEMENTS(coll," :\n");
     
  //    
  partial_sum (coll.begin(), coll.end(),           // 
               coll.begin());                      // 
  PRINT_ELEMENTS(coll," :\n");


  getch();
  return 0;
}

//---------------------------------------------------------------------------